<?php defined('SYSPATH') OR die('No direct script access.');

class Kohana_HTTP_Exception_422 extends HTTP_Exception_Expected
{
    /** @var int Unprocessable Entity */
    protected $_code = 422;

    /**
     * Specifies the list of allowed HTTP methods
     *
     * @param  array $methods List of allowed methods
     * @return $this
     */
    public function allowed($methods) {
        if (is_array($methods)) {
            $methods = implode(',', $methods);
        }

        $this->headers('allow', $methods);

        return $this;
    }

    /**
     * Validate this exception contains everything needed to continue.
     *
     * @throws Kohana_Exception
     * @return bool
     */
    public function check() {
//        if ($location = $this->headers('allow') === null)
//            throw new Kohana_Exception('A list of allowed methods must be specified');

        return true;
    }
}
